Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## URIidevelopment
Class URIPolicies

    java.lang.Object
      URIidevelopment.URIPolicies

    public class URIPolicies

extends java.lang.Object

Constructor Summary
`URIPolicies()`

Method Summary
`java.lang.String` | `appellationURI(java.lang.String className, java.lang.String subjUri, java.lang.String appellation)` returns a URI for a specific appellation about an entity determined by the subject URI given
`java.lang.String` | `createLiteral(java.lang.String className, java.lang.String type, java.lang.String note)` returns a Literal.
`java.lang.String` | `dimensionURI(java.lang.String className, java.lang.String subjUri, java.lang.String dimensions)` returns a URI for a specific dimensions about an entity determined by the subject URI given
`java.lang.String` | `uriConceptual(java.lang.String className, java.lang.String thing)` returns a URI for Conceptual Things
`java.lang.String` | `uriEvents(java.lang.String className, java.lang.String authority, java.lang.String eventID, java.lang.String subjUri)` returns a URI for an Event based either on an already registered identifier for it, or on the type of the event determined by the className - if it is unique for the subject it is referred to(Birth, Death, Creation, etc.), or a UUID otherwise
`java.lang.String` | `uriForActors(java.lang.String className, java.lang.String authority, java.lang.String id, java.lang.String name, java.lang.String birthDate)` returns a URI for Actor depending on the available information about him (an already registered identifier or his name combined with his vital Dates), or a UUID if there is no such information available.
`java.lang.String` | `uriForPhysicalObjects(java.lang.String className, java.lang.String nameOfMuseum, java.lang.String entry)` returns a URI for the mainly described object.
`java.lang.String` | `uriForPlaces(java.lang.String className, java.lang.String placeName, java.lang.String authority, java.lang.String placeID, java.util.ArrayList<java.lang.String> coordinates, java.util.ArrayList<java.lang.String> spaces)` returns a uri for a specific place according to the available information about the geographical spaces or coordinates it belongs.
`java.lang.String` | `uriPhysThing(java.lang.String className, java.lang.String thing)` returns a URI for Physical Things
`java.lang.String` | `uriTimeSpan(java.lang.String className, java.lang.String timespan)` returns a URI for a TimeSpan defined by the argument timespan
`java.lang.String` | `uriType(java.lang.String className, java.lang.String type)` returns a URI for a specific Type
`java.lang.String` | `uuid(java.lang.String className)` returns a random UUID

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIPolicies

    public URIPolicies()

Method Detail

### uriForPhysicalObjects

    public java.lang.String uriForPhysicalObjects(java.lang.String className,
                                                  java.lang.String nameOfMuseum,
                                                  java.lang.String entry)

  returns a URI for the mainly described object.

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `nameOfMuseum` - the name of the organization keeping the object.
    `entry` - the id given to the object by the organization
  Returns:
    the URI of the form "urn:iso21127:(Main_Object)nameOfMuseum:entry" (e.g. "urn:iso21127:(Main_Object)Germanic_National_Museum,_Graphical_Collection_(Nuremberg):H_3672") if nameOFMuseum and entry is not null, or a uuid otherwise.

### uriForPlaces

    public java.lang.String uriForPlaces(java.lang.String className,
                                         java.lang.String placeName,
                                         java.lang.String authority,
                                         java.lang.String placeID,
                                         java.util.ArrayList<java.lang.String> coordinates,
                                         java.util.ArrayList<java.lang.String> spaces)

  returns a uri for a specific place according to the available information about the geographical spaces or coordinates it belongs.

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `placeName` - the name of the Place
    `authority` - the authority that has assigned an id to this place
    `placeID` - the id given to this place by the authority
    `coordinates` - the geographical coordinates of the current place
    `spaces` - the geographical spaces the place belongs
  Returns:
    a URI in the form "urn:iso21127:(Place)Authority-id" (e.g. "urn:iso21127:(Place)TGN:7001393") if the authority and placeID are not null, a URI in the form "urn:iso21127:(Place)longitude_latidute" (e.g."urn:iso21127:(Place)37°58'N_23°46'E") if the structure coordinates is not null a URI in the form "urn:iso21127:(Place)inhabitedPlace-region-nation-continent"(e.g. "urn:iso21127:(Place)Athens-Perifereia_Protevousis-Greece-Europe")if the structure spaces is not null or a uuid otherwise

### uriForActors

    public java.lang.String uriForActors(java.lang.String className,
                                         java.lang.String authority,
                                         java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String birthDate)

  returns a URI for Actor depending on the available information about him (an already registered identifier or his name combined with his vital Dates), or a UUID if there is no such information available.

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `authority` - if not null, it represents an authority that has registered a specific identifier to the current Actor
    `id` - the identifier registered to the Actor
    `name` - the Name of the Actor
    `birthDate` - the date Actor was born
  Returns:
    a URI of the form "urn:iso21127:(Actor)authority:id" (e.g. "urn:iso21127:(Actor)DISKUS-KUE-Datei:10153461")if authority and id are not empty, a URI of the form "urn:iso21127:(Actor)name,b.birthDate" (e.g. urn:iso21127:(Actor)Camerlohr,_Joseph_von,b.1820) if the name and the vitalDates are not empty, or a UUID otherwise

### uriPhysThing

    public java.lang.String uriPhysThing(java.lang.String className,
                                         java.lang.String thing)

  returns a URI for Physical Things

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `thing` - the name of the thing
  Returns:
    a URI of the form "urn:iso21127:(Thing-ClassName)thing" (e.g. "urn:iso21127:(Thing-Document)obj_00120252")

### uriConceptual

    public java.lang.String uriConceptual(java.lang.String className,
                                          java.lang.String thing)

  returns a URI for Conceptual Things

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `thing` - the name of the thing
  Returns:
    a URI of the form "urn:iso21127:(Conceptual-ClassName)thing" (e.g. "urn:iso21127:(Conceptual-Right)Copyright")

### uriType

    public java.lang.String uriType(java.lang.String className,
                                    java.lang.String type)

  returns a URI for a specific Type

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `type` - the type
  Returns:
    a URI of the form "urn:iso21127:(Type-ClassName)type" (e.g."urn:iso21127:(Type)Paper")

### appellationURI

    public java.lang.String appellationURI(java.lang.String className,
                                           java.lang.String subjUri,
                                           java.lang.String appellation)

  returns a URI for a specific appellation about an entity determined by the subject URI given

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `subjUri` - the URI of the subject to which the appellation corresponds
    `appellation` - the appellation of the subject
  Returns:
    a URI if the form: "urn:iso21127:(Appellation-ClassName)@subjUri@appellation" (e.g. "urn:iso21127:(Appellation-Actor_Appellation)@urn:iso21127:(Actor)DISKUS-KUE-Datei:10153461@Camerlohr,_Joseph_von")

### dimensionURI

    public java.lang.String dimensionURI(java.lang.String className,
                                         java.lang.String subjUri,
                                         java.lang.String dimensions)

  returns a URI for a specific dimensions about an entity determined by the subject URI given

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `subjUri` - the URI of the subject to which the dimensions correspond
    `dimensions` - the dimensions of the subject
  Returns:
    a URI of the form: "urn:iso21127:(Dimensions)@subjUri@dimensions" (e.g. "urn:iso21127:(Dimensions)@urn:iso21127:(Main_Object)Germanic_National_Museum,_Graphical_Collection_(Nuremberg):H_3672@44,3x35,4_cm)

### uriTimeSpan

    public java.lang.String uriTimeSpan(java.lang.String className,
                                        java.lang.String timespan)

  returns a URI for a TimeSpan defined by the argument timespan

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `timespan` - the period of time
  Returns:
    a URI of the form: "urn:iso21127:(TimeSpan)timespan" (e.g. "urn:iso21127:(TimeSpan)1871")

### uriEvents

    public java.lang.String uriEvents(java.lang.String className,
                                      java.lang.String authority,
                                      java.lang.String eventID,
                                      java.lang.String subjUri)

  returns a URI for an Event based either on an already registered identifier for it, or on the type of the event determined by the className - if it is unique for the subject it is referred to(Birth, Death, Creation, etc.), or a UUID otherwise

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `authority` - the qualified authority for the event identifier
    `eventID` - the event identifier
    `subjUri` - the URI of the subject to which the event corresponds
  Returns:
    a uri of the form "urn:iso21127:(Event)Authority-eventID" (e.g. "urn:iso21127:(Event)KB:1334")if an identifier already exists, one of the form "urn:iso21127:(Event)@subjUri@className" (e.g. "urn:iso21127:(Event)@urn:iso21127:(Actor)DISKUS-KUE-Datei:10153461@Birth) if the className is one of the Birth, Death, Creation, etc. in other words if the event is unique for the referred subject, or a UUID otherwise

### uuid

    public java.lang.String uuid(java.lang.String className)

  returns a random UUID

  Parameters:
    `className` - the name of the corresponding CIDOC class
  Returns:
    a random UUID e.g. "urn:uuid:9a9bccf9-e530-4ab7-a51b-5ac9ce1067e0"

### createLiteral

    public java.lang.String createLiteral(java.lang.String className,
                                          java.lang.String type,
                                          java.lang.String note)

  returns a Literal. That rule refers to any information being represented as a String. This is not a urn form.

  Parameters:
    `className` - the name of the corresponding CIDOC class
    `type` - the type of information described
    `note` - the String representation
  Returns:
    a URI of the form "literal:type:note" (e.g. "literal:recordType:Item")

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD